Status: Closed   

Priority: Normal   

Category:    

Customer: CARIAD Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ADIS

TB-1141

Department:  Affected Products: ADTF Display Toolbox 3.6.0

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 3rd Level Topic: DisplayTB::Common

Resolution: Known Feature Request FAQ Links:  

Description

Supportanfrage

Auch wir sind darauf reingefallen, dass man nicht zwei Komponenten gleichzeitig aus der DisplayToolbox 3.6 suchen lassen kann.

z.B: find_package(ADTF_DISPLAY_TOOLBOX REQUIRED COMPONENTS base mixinextension graphics drawer)

Das Problem ist schon seit min. v1.5 bekannt, aber leider immer noch nicht gefixt - obwohl es noch nur ein Einzeler wäre!

Siehe #13539, #14832, [ADISTB-1141]

Mir ist aber noch ein zweites Problem aufgefallen:

Es wird auf die falschen DisplayToolbox_FIND_REQUIRED_*-Variablen zugegriffen. Das muss

ADTF_DISPLAY_TOOLBOX_FIND_REQUIRED_* heißen.

Mein Vorschlag für einen Patch, der - zumindest bei mir - beide Probleme behebt:

$ diff ADTF_DISPLAY_TOOLBOXConfig.cmake.org ADTF_DISPLAY_TOOLBOXConfig.cmake

6,7d5

< get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)

<

10c8,9

<         if(DisplayToolbox_FIND_REQUIRED_${component})

---

>         get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)

>         if(ADTF_DISPLAY_TOOLBOX_FIND_REQUIRED_${component})

16a16,17

>

> unset(_IMPORT_PREFIX)

 Lösung

Fix erfolgt mit ADTF Display Toolbox 3.7.0

History

#3 - 2021-10-27 06:38 - hidden

- Project changed from Public Support to 30

- Status changed from New to In Progress

- Customer set to CARIAD

- Topic set to DisplayTB::Common

- Platform Windows 10 64bit added

#4 - 2021-10-27 06:41 - hidden

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ADISTB-1141

#6 - 2021-10-27 12:38 - hidden

2024-04-26 1/2



- Status changed from In Progress to Customer Feedback Required

Hallo Marc,

die beiden Punkte sind im nächsten Release der Display-Toolbox behoben.

Viele Grüße,

Andreas

#7 - 2021-11-02 11:10 - hidden

- Project changed from 30 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Support Level changed from 2nd Level to 3rd Level

- Resolution set to Known Feature Request

Befindet sich im Release testing, deploy der 3.7.0 wird diese Woche angestrebt

#8 - 2022-01-24 11:44 - hidden

- Status changed from To Be Closed to Closed
